#ifndef CDlgPowerMsg_H
#define CDlgPowerMsg_H

#include <QDialog>
#include <QPixmap>
#include "base.h"
namespace Ui {
class CDlgPowerMsg;
}

class CDlgPowerMsg : public QDialog
{
    Q_OBJECT

public:
    explicit CDlgPowerMsg(QWidget *parent = 0);
    ~CDlgPowerMsg();

    virtual void paintEvent(QPaintEvent * );
    QPixmap m_Pixmap;
    void refreshPixmap();
    void resizeEvent(QResizeEvent *);
    void showEvent(QShowEvent *);
    void timerEvent(QTimerEvent *event);
    QString strText;
    int m_bkColor;
    int m_timer_id;

private slots:
    void on_pushButton_2_clicked();
private:
    Ui::CDlgPowerMsg *ui;
    bool m_bOn;
    int m_iCount;
};

#endif // CDlgPowerMsg_H
